define([
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/_base/lang",
    "dojo/on",
    "dojo/topic",
    "epi-cms/contentediting/editors/SelectionEditor"
],
    function (
        declare,
        array,
        lang,
        on,
        topic,
        SelectionEditor
    ) {

        return declare([SelectionEditor], {
            postCreate: function () {
                this.inherited(arguments);
                this.own(on(this, "change", lang.hitch(this, function (key) {
                    topic.publish('opti-recs', key);
                })));
            },
        });
    });
